Как вырезать объект в автокаде. Команда Обрезать в Автокаде

Команда "Обрезать" в Автокаде (Autocad)

При построении нередко обнаруживаются фрагменты отрезков, дуг и пр., которые “вылезли” за пределы объектов. Возникает вопросец, как обрезать полосы в Автокаде. Для обрезки таковых фрагментов в Автокаде служит команда “Обрезать”. В качестве частей подрезки могут быть отрезки, прямоугольники, сплайны, лучи и т.д.

Обрезка в Автокаде осуществляется методом указания режущей кромки и фрагмента объекта, который должен быть удален.

Команда обрезать в Автокаде, как и остальные команды Редактирования в Автокаде, нужна и комфортна в использовании. Вызвать команду “Обрезать в Автокаде” можно несколькими способами:

1. На вкладке “Главная”панель “Редактирование”.

2. Введя ключевик “ОБР”, а потом нажав “Enter”.

Рассмотрим пример, как в Автокаде обрезать объект:

Допустим, Для вас нужно обрезать часть отрезка, вышедшего за пределы прямоугольника. В этом случае режущей кромкой будет сам прямоугольник, а подрезаемым объектом – часть отрезка за пределами прямоугольника. Весь процесс представлен на рисунке.

Режущих кромок, как и подрезаемых объектов, может быть много. Время от времени я выделяю в качестве режущих кромок все объекты либо огромную их часть. А потом щелкаю ЛКМ по тем элементам, которые желаю обрезать. Сходу опосля указания объекта делается его подрезка. Окончить подрезку можно нажатием клавиши “Enter” либо “Esc”. В качестве подрезаемых объектов могут быть и части самих режущих кромок.

Если при выборе обрезаемых объектов удерживать кнопку “Shift”, они будут не обрезаться, а удлиняться.

При выборе подрезаемых объектов можно пользоваться последующими опциями:

✗ Линия и Секрамка – разрешают выбирать подрезаемые объекты при помощи временной ломанной полосы и секущей рамки.

✗ Кромка – включает/выключает режим продолжения кромки до воображаемого пересечения.

При включенном режиме подрезка в AutoCAD будет производиться и в тех вариантах, когда подрезаемый объект не очевидно пересекается с режущей кромкой. Включен этот режим либо нет, видно из запроса командной строчки при вызове команды “Обрезать” в Автокаде.

Если написано “Кромки = Без продолжения”, означает, режим выключен. Включить его можно перед выбором подрезаемых объектов, введя в командную строчку буковку “С”.

✗ Отменить – функция, позволяющая отменить подрезку крайнего объекта, не отменяя выполнение вполне всей команды.

✗ уДалить – эта функция дозволяет удалять объекты, не прерывая выполнение команды обрезки.

Команда “Обрезать” в Автокаде имеет несколько неявных суб-опций, с которыми можно разобраться без помощи других. А ежели возникнут трудности, мы постоянно поможем разобраться с тем,как научиться работать в Автокадепросто и эффективно!

Как быстро вырезать фрагмент чертежа??!!!

Engineer
 

Вот что нашлось в моей коллекции. Может, кто из программистов осовременит. Вызывается набором слова DTL

;=======================================================================
; Allegro TABLET TOOLS LISP file
; DTL.LSP
;
; Extracts a section of a drawing for a detail.
; Lines, Arcs, & Circles are trimmed to the box boundary.
; P-LINES and equal scale blocks are exploded one level in the detail
; before trimming.
;
; (c) 1988 Robert McNeel & Assoc., 1310 Ward St., Seattle, WA, 98109
; This routine is submitted for private non-resale use by end users.
;=======================================================================
(princ "nInitial load .. please waitn")
;=======================================================================
(defun val (x e) (cdr (assoc x e)))
(defun enttype (e) (cdr (assoc 0 e)))
(defun entname (e) (cdr (assoc -1 e)))
(setq >90 (/ pi 2) >270 (* 3 (/ pi 2)))
;=======================================================================
; Find the ‘endpoints ‘ of the LINES, ARCS, & CIRCLES in ss that are
; outside a rectangle described by the opposite corners pll and pur.
; and submits them to the command function.
;———————————————————————–
(defun osends (ss pll pur / z eps)
(ends ss) ;this puts the ‘endpoints’ in a list, eps
(foreach z eps ;this checks if they are outside the rectangle
(if (or (< (caadr z) (car pll))
(< (cadadr z) (cadr pll))
(> (caadr z) (car pur))
(> (cadadr z) (cadr pur))
)
(command z)
)
)
)
;———————————————————————–
; Finds the ‘endpoints’ of LINES, ARCS, & CIRCLES in ss.
; ‘Endpoints’ are:
; LINES: endpoints
; ARCS: endpoints and quadrant points
; CIRCLES: quadrant points
; The endpoint lists are consed into the list eps (global).
;———————————————————————–
(defun ends (ss / i ent cen)
(setq len (sslength ss) i 0) ;get number of entities
(while (< i len) ;loop thru them
(setq ent (entget (ssname ss i))) ;get assoc list
(cond ;Check for LINES, ARCS, & CIRCLES and cons
; the appropriate points into eps.
;Other entity types are ignored.
;LINES
((= (enttype ent) "LINE")
(setq eps (cons (list (entname ent) (val 10 ent)) eps))
(setq eps (cons (list (entname ent) (val 11 ent)) eps)) )
;ARCS
((= (enttype ent) "ARC")
(setq cen (val 10 ent))
(setq eps (cons
(list (entname ent)
(polar cen 0 (val 40 ent))) eps))
(setq eps (cons
(list (entname ent)
(polar cen >90 (val 40 ent))) eps))
(setq eps (cons
(list (entname ent)
(polar cen pi (val 40 ent))) eps))
(setq eps (cons
(list (entname ent)
(polar cen >270 (val 40 ent))) eps))
(setq eps (cons
(list (entname ent)
(polar cen (val 50 ent) (val 40 ent))) eps))
(setq eps (cons
(list (entname ent)
(polar cen (val 51 ent) (val 40 ent))) eps))
(setq eps (cons
(list (entname ent)
(osnap (polar cen (val 51 ent) (val 40 ent)) "mid")) eps)) )
;CIRCLES
((= (enttype ent) "CIRCLE")
(setq cen (val 10 ent))
(setq eps (cons
(list (entname ent)
(polar cen 0 (val 40 ent))) eps))
(setq eps (cons
(list (entname ent)
(polar cen >90 (val 40 ent))) eps))
(setq eps (cons
(list (entname ent)
(polar cen pi (val 40 ent))) eps))
(setq eps (cons
(list (entname ent)
(polar cen >270 (val 40 ent))) eps)) )
)
(setq i (1+ i)) ;Next entity
)
)
;———————————————————————–
;Explodes all p-lines in selection set s
;———————————————————————–
(defun exp_pl (s / i len ent)
(setq i 0 len (sslength s))
(while (< i len)
(setq ent (entget (ssname s i)))
(cond
((= (enttype ent) "POLYLINE")
(command "explode" (entname ent))
)
;((= (enttype ent) "INSERT")
;(if (= (val 41 ent) (val 42 ent) (val 43 ent)) ;check equal scale
;(command "explode" (entname ent))


)
(setq i (+ 1 i))
)
)
;———————————————————————–
;erases parts of exploded p-lines that are outside target area
;———————————————————————–
(defun era_xtra (e)
(setq ssx (ssadd))
(while (setq e (entnext e))
(if (not (ssmemb e ss))
(ssadd e ssx)
)
)
(command "erase" ssx "")
)
;———————————————————————–
; Gets the geometry and calls routines to do the trimming.
;———————————————————————–
(defun c:dtl (/ px py pxx pyy xs ss b ssx)
(setvar "cmdecho" 0)
(command "undo" "begin")
(if (and
;This defines a rectangle to be copied out to a detail
(setq px (getpoint "nFirst corner: "))
(setq py (getcorner px "nOther corner: "))
;This is the position of the lower left corner of the detail
(setq pxx (getpoint px "nNew first corner position: "))
;This is a size adjust factor for scaling the detail
(setq xs (getreal "nScale factor for detail: ")) )
(progn
;copy out the stuff selected
(command "copy" "c" px py "" px pxx)
(command "pline" px (list (car px) (cadr py)) ;draw an outline of
py (list (car py) (cadr px)) "c") ; the base area.
;these are the new entities that may need trimming.
(setq ss (ssget "c" pxx (polar pxx (angle px py) (distance px py))))
;first explode p-lines because if you trim them, you get too
;many new entities to deal with. (could do blocks to)
(setq last (entlast)) ;save end of database
(exp_pl ss) ;this explodes them
;then get all the new parts into ss
(setq ss (ssget "c" pxx (polar pxx (angle px py) (distance px py))))
;and erase ones that are clear outside rectangle
(era_xtra last)
(command "scale" ss "" pxx xs) ;Scale the detail
;new other corner point of detail
(setq pyy (polar pxx (angle px py) (* xs (distance px py))))
(command "pline" pxx (list (car pxx) (cadr pyy)) ;Box around the
pyy (list (car pyy) (cadr pxx)) "c") ;detail
(command "trim" (setq b (entlast)) "") ;Last P-line is cutting edge
(osends ss pxx pyy) ;This finds the ends that are outside the box
; and trims them.
(command "") ;Terminate trim
(redraw b)
)
)
(command "undo" "end")
(setvar "cmdecho" 1)
(princ)
)
Читайте также  Как настроить wifi роутер на прием. Настройка роутера для приема WiFi

Как в AutoCAD обрезать блок либо массив?

Если у вас возникала задачка обрезать часть блока либо массива, надрезать блок либо массив по определенному контору, то вы, наверняка, уже увидели, что команда Обрезать (_TRIM) в данном случае бесполезна.
По последней мере до тех пор, пока блок либо массив не будут взорваны. О том, как управится с данной задачей не расчленяя блоки и не разбивая массивы, будет поведано в данной статье.

Забегая вперед, скажу, что на помощь нам придет команда Подрезать (_CLIP). А чтоб читать было увлекательнее, я не просто обрисую функцию работы с командой, но и покажу определенные примеры ее применения.


Пример №1. Обрезка блока

Есть блок грузовика с грузом, который отчасти заехал в ангар. Требуется скрыть часть блока, которая находится снутри ангара. Взрывать блок и вручную обрезать все, что снутри строения – дело достаточно кропотливое, да и работать с таковым объектом будем позже чрезвычайно неудобно.

Выделяем блок. Переходим на вкладку «Вставка» ленты, панель «Ссылка» и избираем команду Подрезать (_CLIP)

В командной строке будет выведен запрос:

Обратите внимание, что функция <Новый> выбрана в качестве умолчания (об этом молвят треугольные скобки), нам она подступает, потому просто жмем ПРОБЕЛ либо ENTER.

Далее нас спросят, что конкретно мы желаем употреблять в качестве контура подрезки – существующую полилинию, многоугольную либо прямоугольную область. Нам подойдет функция Прямоугольный – обратите внимание, она предложена в качестве умолчания, потому мы просто еще раз жмем ПРОБЕЛ либо ENTER.

Затем необходимо указать 1-ый угол области блока, которую мы желаем сохранить, а потом 2-ой угол – делается это двумя поочередными щелчками левой клавиши мыши (ЛКМ):

Читайте также  Выжимаем из ноутбука максимум. Как настроить ноутбук на максимальную производительность (10 заметок в помощь)

Вот таковой итог мы получим:

Подрезка прошла удачно, но мы лицезреем контур подрезки, который в данном случае нам не нужен. Чтоб управлять контурами подрезки необходимо выбрать одну из 3-х опций отображения контуров в ленте:

Выберем пункт Скрыть контуры. Сейчас итог нас вправду устраивает:

Обращаю внимание на то, что при выделении блока, контуры будут подсвечиваться, и наиболее того, они интерактивные – т.е. вы сможете изменять их перемещая надлежащие маркеры и итог подрезки будет изменяться, что бывает достаточно удобно:


Пример №2. Подрезка массива с кафельной плиткой по контуру помещения

В данном примере мы разглядим весьма полезный кейс для тех, кто занимается дизайном интерьера, а в частности, раскладкой плитки в AutoCAD. Описание будет наименее подробное, т.к. основы мы уже разглядели в первом примере, тут же я остановлюсь лишь на тех шагах, которые будут отличаться.
Итак, у нас есть стенка ванной, плитка в которой разложена с помощью Прямоугольного массива:

Как видно, массив выходит за пределы стенки, и наиболее того, необходимо сделать прорезь под дверь. Взрывать массив и обрезать его мы не желаем, да это и не получится, т.к. в паттерне употребляется штриховка.
Начало будет как в примере №1 – выделяем массив, вызываем команду Подрезать, нажимаем ПРОБЕЛ либо ENTER чтоб сделать Новый контур подрезки. Но на этот раз избираем опцию Многоугольный:

Теперь нам требуется несколькими щелчками ЛКМ поочередно указать все точки нашего контура и опосля указания крайней точки надавить ПРОБЕЛ либо ENTER:

Всего вышло 8 точек, а итог обрезки представлен ниже:

Согласитесь, чрезвычайно просто и удобно.


Пример №3. Создание собственной штриховки (текстуры) из блока

У нас есть таковая деталь:

Читайте также  Как на ете подключить 100 минут. Как добавить 100 минут на новом и старом тарифе

Деталь выполнена из бруса и данный вид – это торец этого самого бруса. Мы желаем нанести на торец текстуру, которая бы напоминала годичные кольца дерева и упрощала бы зрительное восприятие детали. Для этого сделаем блок из концентрических окружностей, приблизительно такового вида:

Совместим блок с брусом, так, чтоб текстура легла более привлекательным образом (играя масштабом вхождения блока можно настроить масштаб текстуры):

Далее идем по уже знакомой схеме – выделяем блок, команда Подрезать, Новый конур подрезки, но на этот раз выберем опцию Выбрать полилинию:

И в качестве данной нам самой полилинии укажем контур нашего бруса:

Вот что получилось:

Удалить существующую подрезку можно достаточно просто – выбираете подрезанный объект, вызываете команду Подрезка и выбираете опцию Удалить:


Надеюсь статья была для вас полезна. Нажимайте лайк, делитесь ей с друзьями и вступайте в наши группы. Спасибо за внимание и фурроров в работе!

Кстати, ежели Для вас охото быстро разобраться во всех тонкостях AutoCAD, получить ответы на свои вопросы и стать реальным специалистом, обратите внимание на мои индивидуальные уроки. Вводное занятие — бесплатно!

Комментарии…

Оставьте комментарий